Skip to main content

Endpoint

GET /v1/dpdp/exports/:exportId

Authentication

Requires a developer API key in the Authorization header.

Request Headers

HeaderValue
AuthorizationBearer <api_key>

Path Parameters

ParameterTypeRequiredDescription
exportIdstringYesThe export ID

Example Request

curl https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/dpdp/exports/exp_01HXYZ... \
  -H "Authorization: Bearer gx_..."

Response — 200 OK

{
  "exportId": "exp_01HXYZ...",
  "type": "dpdp-audit",
  "dateFrom": "2026-01-01T00:00:00.000Z",
  "dateTo": "2026-04-01T00:00:00.000Z",
  "format": "json",
  "status": "completed",
  "recordCount": 42,
  "data": {
    "exportType": "dpdp-audit",
    "dateRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-04-01T00:00:00.000Z"
    },
    "generatedAt": "2026-04-05T14:00:00.000Z",
    "developerId": "dev_01HXYZ...",
    "consentRecords": [...],
    "auditLog": [...],
    "grievances": [...]
  },
  "expiresAt": "2026-04-12T14:00:00.000Z",
  "createdAt": "2026-04-05T14:00:00.000Z"
}

Response Fields

FieldTypeDescription
exportIdstringUnique export ID
typestringExport type: dpdp-audit, gdpr-article-15, or eu-ai-act-conformance
dateFromstringISO-8601 start date of the export window
dateTostringISO-8601 end date of the export window
formatstringOutput format
statusstringExport status: completed
recordCountnumberTotal number of records in the export
dataobjectThe export data payload
expiresAtstringISO-8601 expiry timestamp (exports expire after 7 days)
createdAtstringISO-8601 creation timestamp

Error Responses

StatusCodeDescription
401UNAUTHORIZEDInvalid or missing API key
404NOT_FOUNDExport not found

SDK Examples

import Grantex from '@grantex/sdk';

const grantex = new Grantex({ apiKey: 'gx_...' });

const report = await grantex.dpdp.getExport('exp_01HXYZ...');
// report.status → "completed"
// report.data → { consentRecords: [...], auditLog: [...] }